# gulp-jst-extend

> gulp plugin to compile underscore / lodash templates to js file(s).

Inspired by module [gulp-jst-concat](https://github.com/tambourinecoder/gulp-jst-concat) but this plugin add cmd/amd support, and will add more features soon.

## Install
Install using [npm](https://npmjs.org/package/gulp-jst-extend).

    $ npm install gulp-jst-extend


## Usage

``` js
gulp.task('jst', function() {
    var jst = require('gulp-jst-extend');

    return gulp.src(['./tmpl/*.{html,tpl}'])
        .pipe(jst('tmpl.js', {renameKeys: ['.*\/t-([^\.]+)\.(?:html|tpl)$', '$1']}))
        .pipe(gulp.dest('js/'));
});
```

More details please goto [gulp-jst-concat](https://github.com/tambourinecoder/gulp-jst-concat).

## License
MIT
